Retrieve IP Block

View as Markdown

Retrieve an IP Block by ID. Records outside the requesting organization’s scope, including private IP Block records linked to a TenantManaged SitePrefix, return the same 404 response as an unknown ID.

User must have authorization role with PROVIDER_ADMIN or TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
ipBlockIdstringRequired
ID of the IP Block

Query parameters

infrastructureProviderIdstringOptionalformat: "uuid"Deprecated

Filter IP Blocks by Infrastructure Provider ID. Deprecated: Infrastructure Provider is now inferred from the org’s membership.

tenantIdstringOptionalformat: "uuid"Deprecated

Filter IP Blocks by Tenant ID. Deprecated: Tenant is now inferred from the org’s membership.

includeUsageStatsbooleanOptional
Include IP Block usage stats in response
includeRelationenumOptional
Related entity to expand
Allowed values:

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the IP Block
namestringOptional2-256 characters
Name of the IP Block
descriptionstring or nullOptional
Description of the IP Block
siteIdstringOptionalformat: "uuid"
ID of the Site
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider
tenantIdstring or nullOptionalformat: "uuid"
ID of the Tenant
routingTypeenumOptional
RoutingType of the IP Block
prefixstringOptional
Either IPv4 or IPv6 address
prefixLengthintegerOptional

Min: 1, Max: 32 for ipv4, 128 for ipv6

protocolVersionenumOptional
Version of the ip network IPv4 or IPv6
usageStatsobjectOptional
Usage summary from IPAM for the IP Block
statusenumOptional
Status of the IP Block
statusHistorylist of objectsOptional
Chronological status history for the IP Block
createddatetimeOptionalRead-only

Date/time when the Ip Block was created

updateddatetimeOptionalRead-only

Date/time when the Ip Block was last updated

Errors

403
Forbidden Error
404
Not Found Error